xgboost

Public Member Functions | List of all members
xgboost::common::NormalDist Class Reference

The (standard) normal distribution. More...

`#include <probability_distribution.h>`

Inheritance diagram for xgboost::common::NormalDist:
Collaboration diagram for xgboost::common::NormalDist:

## Public Member Functions
double | PDF (double z) override
| Evaluate Probability Density Function (PDF) at a particular point. More...
double | CDF (double z) override
| Evaluate Cumulative Distribution Function (CDF) at a particular point. More...
double | GradPDF (double z) override
| Evaluate first derivative of PDF at a particular point. More...
double | HessPDF (double z) override
| Evaluate second derivative of PDF at a particular point. More...
Public Member Functions inherited from xgboost::common::ProbabilityDistribution
virtual | ~ProbabilityDistribution ()=default

## Additional Inherited Members
Static Public Member Functions inherited from xgboost::common::ProbabilityDistribution
static ProbabilityDistribution * | Create (ProbabilityDistributionType dist)
| Factory function to instantiate a new probability distribution object. More...

## Detailed Description

The (standard) normal distribution.

## Member Function Documentation

## ◆ CDF()

double xgboost::common::NormalDist::CDF | ( | double | z | ) |
| override virtual

Evaluate Cumulative Distribution Function (CDF) at a particular point.

Parameters

  z | point at which to evaluate CDF

Returns
  Value of CDF evaluated

Implements xgboost::common::ProbabilityDistribution.

## ◆ GradPDF()

double xgboost::common::NormalDist::GradPDF | ( | double | z | ) |
| override virtual

Evaluate first derivative of PDF at a particular point.

Parameters

  z | point at which to evaluate first derivative of PDF

Returns
  Value of first derivative of PDF evaluated

Implements xgboost::common::ProbabilityDistribution.

## ◆ HessPDF()

double xgboost::common::NormalDist::HessPDF | ( | double | z | ) |
| override virtual

Evaluate second derivative of PDF at a particular point.

Parameters

  z | point at which to evaluate second derivative of PDF

Returns
  Value of second derivative of PDF evaluated

Implements xgboost::common::ProbabilityDistribution.

## ◆ PDF()

double xgboost::common::NormalDist::PDF | ( | double | z | ) |
| override virtual

Evaluate Probability Density Function (PDF) at a particular point.

Parameters

  z | point at which to evaluate PDF

Returns
  Value of PDF evaluated

Implements xgboost::common::ProbabilityDistribution.

The documentation for this class was generated from the following file:

- /workspace/src/common/probability_distribution.h